# SPDX-FileCopyrightText: Siemens AG
# SPDX-License-Identifier: Apache-2.0

---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: endpoint-maintainer-role
rules:
- apiGroups:
  - ""
  resources:
  - nodes
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - qos-scheduler.siemens.com
  resources:
  - networkendpoints
  verbs:
  - get
  - list
  - patch
  - update
  - watch
